# Detect the distribution in use
%global __despace head -n 1 | tr -d '[:space:]' | sed -e 's/[(].*[)]//g'
%global __lower4 cut -c 1-4 | tr '[:upper:]' '[:lower:]'
%global __distfile %([ -f /etc/SuSE-release ] && echo /etc/SuSE-release || echo /etc/redhat-release)
%global __distinit %(sed -e 's/ release .*//' -e 's/\\([A-Za-z]\\)[^ ]*/\\1/g' %{__distfile} | %{__despace} | %{__lower4})
%global __distvers %(sed -e 's/.* release \\([^. ]*\\).*/\\1/' %{__distfile} | %{__despace})
# Identify Alma, CentOS, CentOS Stream and Rocky Linux as rhel
%if "%{__distinit}" == "a" || "%{__distinit}" == "c" || "%{__distinit}" == "cl" || "%{__distinit}" == "cs" || "%{__distinit}" == "rl"
%global __distinit rhel
%endif
# Dist tag for Fedora is still "fc"
%if "%{__distinit}" == "f"
%global __distinit fc
%endif

Name:		perl-Pod-Coverage-TrustPod
Version:	0.100006
Release:	2.%{__distinit}%{__distvers}
Summary:	Allow a module's pod to contain Pod::Coverage hints
License:	GPL-1.0-or-later OR Artistic-1.0-Perl
URL:		https://metacpan.org/release/Pod-Coverage-TrustPod
Source0:	https://cpan.metacpan.org/modules/by-module/Pod/Pod-Coverage-TrustPod-%{version}.tar.gz
Patch0:		Pod-Coverage-TrustPod-0.100006-old-EU::MM.patch
BuildArch:	noarch
# Module Build
BuildRequires:	coreutils
BuildRequires:	findutils
BuildRequires:	make
BuildRequires:	perl-generators
BuildRequires:	perl-interpreter
BuildRequires:	perl(:VERSION) >= 5.12
BuildRequires:	perl(ExtUtils::MakeMaker)
# Module Runtime
BuildRequires:	perl(base)
BuildRequires:	perl(Pod::Coverage::CountParents)
BuildRequires:	perl(Pod::Eventual::Simple)
BuildRequires:	perl(Pod::Find)
BuildRequires:	perl(strict)
BuildRequires:	perl(warnings)
# Test Suite
BuildRequires:	perl(Carp::Heavy)
BuildRequires:	perl(File::Spec)
BuildRequires:	perl(lib)
BuildRequires:	perl(Test::More) >= 0.88
# Extra Tests
BuildRequires:	perl(Encode)
BuildRequires:	perl(Test::Pod) >= 1.41
# Dependencies
%if 0%{?fedora} < 38 && 0%{?rhel} < 10
Requires:	perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))
%endif
# Old provides generator does not support the syntax used in this module
%if 0%{?fedora} < 21 && 0%{?rhel} < 8
Provides:	perl(Pod::Coverage::TrustPod) = %{version}
%endif

%description
This is a Pod::Coverage subclass (actually, a subclass of
Pod::Coverage::CountParents) that allows the POD itself to declare certain
symbol names trusted.

%prep
%setup -q -n Pod-Coverage-TrustPod-%{version}

# Don't really need ExtUtils::MakeMake ≥ 6.78
%patch -P 0

%build
perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
make pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name .packlist -delete
%{_fixperms} -c %{buildroot}

%check
make test
make test TEST_FILES="$(echo $(find xt/ -name '*.t'))"

%files
%license LICENSE
%doc Changes README
%{perl_vendorlib}/Pod/
%{_mandir}/man3/Pod::Coverage::TrustPod.3*

%changelog
* Thu Jul 13 2023 Paul Howarth <paul@city-fan.org> - 0.100006-2
- Avoid use of deprecated patch syntax

* Sun Jan  1 2023 Paul Howarth <paul@city-fan.org> - 0.100006-1
- Update to 0.100006
  - Update packaging and metadata
  - Minimum required Perl is now v5.12
- Use SPDX-format license tag
- Always assume we have rpm ≥ 4.9
- Use %%license unconditionally
- Add patch to support building with ExtUtils::MakeMaker < 6.78

* Tue Jun  4 2019 Paul Howarth <paul@city-fan.org> - 0.100005-5
- Perl 5.30 rebuild

* Mon Mar 12 2018 Paul Howarth <paul@city-fan.org> - 0.100005-1
- Update to 0.100005
  - Remove an accidentally-introduced // operator

* Mon Mar  5 2018 Paul Howarth <paul@city-fan.org> - 0.100004-1
- Update to 0.100004
  - Report more usefully when a regex can't be compiled
- BR: perl-generators unconditionally
- BR: perl-interpreter rather than perl
- Drop support for EOL distributions prior to F-13
  - Drop BuildRoot: and Group: tags
  - Drop explicit buildroot cleaning in %%install section
  - Drop explicit %%clean section
  - Drop workarounds for building with Test::More < 0.88

* Wed Sep 21 2016 Paul Howarth <paul@city-fan.org> - 0.100003-5
- Classify buildreqs by usage
- Simplify find command using -delete

* Thu Sep 11 2014 Paul Howarth <paul@city-fan.org> - 0.100003-2
- Drop support for building with ExtUtils::MakeMaker < 6.30
- Drop %%defattr, redundant since rpm 4.4
- Use %%license where possible

* Wed Nov  6 2013 Paul Howarth <paul@city-fan.org> - 0.100003-1
- Update to 0.100003
  - The string *EVERYTHING* is now a pattern meaning "trust everything"
  - Only anchor the regex from Pod; trustme regex are again non-anchored
- Add patches to support building with old versions of Test::More

* Sat Jul  7 2012 Paul Howarth <paul@city-fan.org> - 0.100002-2
- BR: perl(Carp::Heavy)
- BR: perl(Pod::Coverage::CountParents) rather than perl(Pod::Coverage)
- Drop redundant BR: perl(Test::Pod::Coverage)

* Sat Apr 21 2012 Paul Howarth <paul@city-fan.org> - 0.100002-1
- Update to 0.100002
  - Add docs about using =for instead of =begin/=end
- BR: perl(base) and perl(Pod::Find)
- Don't need to remove empty directories from buildroot
- Drop support for old distributions prior to FC-3:
  - Use DESTDIR rather than PERL_INSTALL_ROOT
  - Don't need to define %%{perl_vendorlib}

* Thu Jul  7 2011 Paul Howarth <paul@city-fan.org> - 0.100001-2
- Rebuild for perl 5.14.1 in Rawhide
- Fix dist tag for CentOS 6 and Scientific Linux

* Thu Jul  7 2011 Paul Howarth <paul@city-fan.org> - 0.100001-1
- Update to 0.100001
  - Anchor the regex at both ends when matching symbols: /\A...\z/
- Update patch for old ExtUtils::MakeMaker versions and only apply it when
  necessary

* Fri Apr  8 2011 Paul Howarth <paul@city-fan.org> - 0.100000-1
- Update to 0.100000
  - Simplify tests to avoid causing bizarre catastrophic failures on 5.13.11
- Nobody else likes macros for commands

* Mon Nov  1 2010 Paul Howarth <paul@city-fan.org> - 0.092832-1
- Update to 0.092832 (remove bogus prereq BaseWithNoPod)

* Fri Oct 22 2010 Paul Howarth <paul@city-fan.org> - 0.092831-1
- Update to 0.092831 (repackage with a v1 META.yml file)

* Thu Jun 24 2010 Paul Howarth <paul@city-fan.org> - 0.092830-4
- Rebuild for perl 5.12.1 in Rawhide

* Tue May 11 2010 Paul Howarth <paul@city-fan.org> - 0.092830-3
- Fix dist tag for RHEL-6 Beta

* Wed Feb  3 2010 Paul Howarth <paul@city-fan.org> - 0.092830-2
- Import from Fedora
- Add manual dependency on perl(Pod::Coverage::CountParents)

* Thu Jan 14 2010 Iain Arnell - 0.092830-1
- Specfile autogenerated by cpanspec 1.78
